[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector3_extended):Tvector2_single

Allow assignment of three-dimensional extended precision vector to two-dimensional single precision vector

## Declaration

Source position: matrix.pp line 304

`operator operator :=(`
`const v: Tvector3_extended`
`):Tvector2_single;`

## Description

This operator allows you to use a three-dimensional vector with extended precision values wherever a two-dimensional vector with single precision is expected. The third dimension is thrown away and some precision is lost because of the conversion.